Subject: Re: [xml2rfc] trouble installing xml2rfc-2.4.0

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Fri, 9 Jan 2015 03:56:59 +0000

Elwyn,

I tried it on a linux vm as root, and I was able to install setuptools and then xml2rfc. I am all set.

Thanks a lot for your help.

Jeffrey

> -----Original Message-----
> From: Jeffrey (Zhaohui) Zhang
> Sent: Tuesday, January 06, 2015 1:26 PM
> To: Elwyn Davies
> Subject: RE: [xml2rfc] trouble installing xml2rfc-2.4.0
> 
> Elwyn,
> 
> Wget actually worked when I did it separately. The problem seems to be
> with ex_setup itself, and it fails even if I use "--user" option:
> 
> [zzhang@wf-shell2 ietf]$ python ez_setup.py --insecure --user
>   File "ez_setup.py", line 51
>     with archive_context(archive_filename):
>                        ^
> SyntaxError: invalid syntax
> [zzhang@wf-shell2 ietf]$ python ez_setup.py --user --insecure
>   File "ez_setup.py", line 51
>     with archive_context(archive_filename):
>                        ^
> SyntaxError: invalid syntax
> 
> Perhaps it's because the original python was installed as root so now I
> would need to use root as well. I'll talk to our administrator.
> 
> Thanks.
> Jeffrey
> 
> > -----Original Message-----
> > From: Elwyn Davies [mailto:[email-masked]]
> > Sent: Tuesday, January 06, 2015 1:22 PM
> > To: Jeffrey (Zhaohui) Zhang
> > Subject: Re: [xml2rfc] trouble installing xml2rfc-2.4.0
> >
> > Hi.
> >
> > Well, it works just fine for me.
> >
> > The problem with the wget command is probably that you don't have
> write
> > permission for the directory.
> >
> > It is also possible that your Python installation is faulty and/or you
> > need to run ex_setup.py as root because it will try to write into the
> > Python installation area which is probably owned by root.
> >
> > Regards,
> > Elwyn
> >
> > On 05/01/15 14:54, Jeffrey (Zhaohui) Zhang wrote:
> > > Elwyn,
> > >
> > > Thanks for getting back to me. Now I get the following when trying
> to
> > install the setuptools:
> > >
> > > [zzhang@wf-shell2 ietf]$ wget https://bootstrap.pypa.io/ez_setup.py
> --
> > no-check-certificate -O - | python - --user
> > > --21:25:28--  https://bootstrap.pypa.io/ez_setup.py
> > >             => `-'
> > > Resolving bootstrap.pypa.io... 199.27.79.175
> > > Connecting to bootstrap.pypa.io|199.27.79.175|:443... connected.
> > > WARNING: Certificate verification error for bootstrap.pypa.io:
> unable
> > to get local issuer certificate
> > > WARNING: certificate common name `*.c.ssl.fastly.net' doesn't match
> > requested host name `bootstrap.pypa.io'.
> > > HTTP request sent, awaiting response... 200 OK
> > > Length: 10,477 (10K) [text/x-python]
> > >
> > >   0% [                                     ] 0             --.--K/s
> > File "<stdin>", line 51
> > >      with archive_context(archive_filename):
> > >                         ^
> > > SyntaxError: invalid syntax
> > > 78% [===========================>         ] 8,192         --.--K/s
> > >
> > >
> > > Cannot write to `ez_setup.py' (Success).
> > >
> > > There was a "SyntaxError", a "Cannot write to ...", but confusingly
> > with a trailing "(Success)".
> > >
> > > I tried doing it in separate steps and got the following:
> > >
> > > [zzhang@wf-shell2 ietf]$ wget --no-check-certificate
> > https://bootstrap.pypa.io/ez_setup.py
> > > --21:31:00--  https://bootstrap.pypa.io/ez_setup.py
> > >             => `ez_setup.py'
> > > Resolving bootstrap.pypa.io... 199.27.79.175
> > > Connecting to bootstrap.pypa.io|199.27.79.175|:443... connected.
> > > WARNING: Certificate verification error for bootstrap.pypa.io:
> unable
> > to get local issuer certificate
> > > WARNING: certificate common name `*.c.ssl.fastly.net' doesn't match
> > requested host name `bootstrap.pypa.io'.
> > > HTTP request sent, awaiting response... 200 OK
> > > Length: 10,477 (10K) [text/x-python]
> > >
> > > 100%[====================================>] 10,477        --.--K/s
> > >
> > > 21:31:01 (22.50 MB/s) - `ez_setup.py' saved [10477/10477]
> > >
> > > [zzhang@wf-shell2 ietf]$ python ez_setup.py --insecure
> > >    File "ez_setup.py", line 51
> > >      with archive_context(archive_filename):
> > >                         ^
> > > SyntaxError: invalid syntax
> > >
> > > Thanks.
> > > Jeffrey
> > >
> > >> -----Original Message-----
> > >> From: Elwyn Davies [mailto:[email-masked]]
> > >> Sent: Tuesday, December 30, 2014 7:43 PM
> > >> To: Jeffrey (Zhaohui) Zhang; [email-masked]
> > >> Subject: Re: [xml2rfc] trouble installing xml2rfc-2.4.0
> > >>
> > >> Hi.
> > >>
> > >> If you haven't sorted the problem out by now ... You need to have
> the
> > >> Python 'setuptools' package installed.
> > >>
> > >> This is generally a prerequisite for installing almost any add-on
> > >> package for Python.  You can bootstrap  yourself from here:
> > >> https://pypi.python.org/pypi/setuptools
> > >>
> > >> We probably ought to have a note in the INSTALL and/or README in
> the
> > >> xml2rfc package to this effect.
> > >>
> > >> Regards,
> > >> Elwyn
> > >>
> > >> On 22/12/14 13:58, Jeffrey (Zhaohui) Zhang wrote:
> > >>> Hi,
> > >>>
> > >>> I am trying to install the package but got the following error.
> > >>>
> > >>> [root@zzh_linux xml2rfc-2.4.0]# python setup.py install
> > >>> Traceback (most recent call last):
> > >>>     File "setup.py", line 8, in <module>
> > >>>       from setuptools import setup
> > >>> ImportError: No module named setuptools
> > >>>
> > >>> [root@zzh_linux xml2rfc-2.4.0]# ls
> > >>> changelog  LICENSE      mkrelease  requirements.txt  setup.py
> > xml2rfc
> > >>> doc        Makefile     PKG-INFO   scripts           test.py
> > >> xml2rfc.egg-info
> > >>> INSTALL    MANIFEST.in  README     setup.cfg         tests
> > >>>
> > >>> I don't know much about it and really appreciate some help.
> > >>>
> > >>> I got the package link from the IETF tools page.
> > >>>
> > >>> Thanks!
> > >>> Jeffrey
> > >>>
> > >>> _______________________________________________
> > >>> xml2rfc mailing list
> > >>> [email-masked]
> > >>> https://www.ietf.org/mailman/listinfo/xml2rfc
> > >>>
> > >>>
> > >